Subject: [nfsv4] [IANA #202791] Last Call: draft-ietf-nfsv4-rfc1831bis (RPC: Remote Procedure Call Protocol Specification Version 2) to Draft Standard

From: "Amanda Baber via RT" <[email-masked]>
Date: Mon, 10 Nov 2008 23:15:13 +0000

IESG:

The IANA has reviewed draft-ietf-nfsv4-rfc1831bis-10.txt, 
currently in Last Call, and has the following comments regarding 
its publication:

IANA has questions:

- The document suggests that IANA start allocations at 0x00061a80, but
also states that previous assignments start at 0x000186a0. What about
0x00000001 - 0x0001869f? We've assumed those are reserved.

- The document suggests that a list of existing Authentication Flavors
and Pseudo-Flavors exists, but no such list is provided by value or
by reference in this document. Could you provide this list?

- In a similar vein, could you provide the allocation policy table
for the authentication flavor? How big is the number space?

Action 1:

Upon approval of this document, the IANA will create the 
registry "RPC Program Numbers" at http://www.iana.org/assignments/TBD

0x00000000 Reserved
0x00000001 - 0x0001869f Reserved by previous assignments
0x000186a0 - 0x00061a7f Previous assignments
0x00061a80 - 0x1fffffff To be assigned by IANA
0x20000000 - 0x3fffffff Defined by local administrator
(some blocks assigned here)
0x40000000 - 0x5fffffff Transient
0x60000000 - 0x7effffff Reserved
0x7f000000 - 0x7fffffff Assignment outstanding
0x80000000 - 0xffffffff Reserved

Size of sub-block Assignment Method Authority
----------------- ----------------- ---------
Up to 100 numbers First Come First Served IANA
Up to 1000 numbers Specification Required IANA
More than 1000 numbers IESG Approval required IESG

Registration Procedures: Based on size of block
Initial contents of this registry will be:

< See contents of http://www.nfsv4-editor.org/rpc-numbers-1831bis.txt >

Action 2:

Upon approval of this document, the IANA will create the 
registry "RPC Authentication Flavor Numbers" at
http://www.iana.org/assignments/TBD

Recent progress in RPC security has moved away from new auth flavors
as used by AUTH_DH [DH], and focused on using the existing RPCSEC_GSS
[RFC2203] flavor and inventing novel GSS-API mechanisms which can be
used with it. Even though RPCSEC_GSS is an assigned authentication
flavor, use of a new RPCSEC_GSS mechanism with NFS ([RFC1094]
[RFC1813] and [RFC3530]) will require the registration of 'pseudo-
flavors' which are used to negotiate security mechanisms in an
unambiguous way, as defined by [RFC2623]. Existing pseudo-flavors
have been granted in the decimal range 390000-390255. New pseudo-
flavor requests should be granted by IANA within this block on a
First Come First Served basis.

For non-pseudo-flavor requests, IANA should begin granting RPC
authentication flavor numbers at 400000 on a First Come First Served
basis to avoid conflicts with currently granted numbers.

For authentication flavors or RPCSEC_GSS mechanisms to be used on the
Internet, it is strongly advised that an informational or standards-
track RFC be published describing the authentication mechanism
behaviour and parameters.

Initial contents of this registry will be:

Auth Flavor Name Reference
------------ --------------------------- -----------------
0 AUTH_NONE [RFC-nfsv4-rfc1831bis-10]
1 AUTH_SYS [RFC-nfsv4-rfc1831bis-10]
2 AUTH_SHORT [RFC-nfsv4-rfc1831bis-10]
3 AUTH_DH [RFC-nfsv4-rfc1831bis-10]
6 RPCSEC_GSS [RFC-nfsv4-rfc1831bis-10]

We understand the above to be the only IANA Actions for this document.

Thank you.

Amanda Baber
(on behalf of IANA)

> The IESG has received a request from the Network File System Version 4
> WG (nfsv4) to consider the following document:
> 
> - 'RPC: Remote Procedure Call Protocol Specification Version 2 '
>    <draft-ietf-nfsv4-rfc1831bis-10.txt> as a Draft Standard
> 
> An implementation and interoperability report should be available
> shortly at http://www.ietf.org/IESG/implementation.html
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action.  Please send substantive comments to
> the
> [email-masked] mailing lists by 2008-11-13. Exceptionally,
> comments may be sent to [email-masked] instead. In either case, please
> retain the beginning of the Subject line to allow automated sorting.
> 
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-ietf-nfsv4-rfc1831bis-10.txt
> 
> Implementation Report can be accessed at
> http://www.ietf.org/IESG/implementation.html
> 
> 
> IESG discussion can be tracked via
>
https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=10329&rfc_flag=0

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/nfsv4